Benutzer-Werkzeuge

Webseiten-Werkzeuge


Seitenleiste

pc:githubpages

Github Pages

Wenn man auf'm Sonntag sonst nix zu tun hat :-|

https://github.com/rubygems/bundler/issues/6227

ruby header installieren

sudo apt install ruby-dev 

jekyll installieren

sudo gem install jekyll bundler

die richtige Jekyll version installieren (findet sich auf https://pages.github.com/versions/)

sudo gem install jekyll -v 3.8.5
sudo gem install bundler

Jetzt kann man jekyll aufrufen, wenn man die Versionsnummer mit Unterstrichen mit übergibt

bundle exec jekyll _3.8.5_ new .

und weil das so einen schönen Absturz gibt und man auf'm Sonntag sonst nix zu tun hat :-|

https://github.com/rubygems/bundler/issues/6227

macht man noch

sudo gem update --system
sudo gem uninstall bundler
sudo gem install bundler
bundle install

und versucht's nochmal

bundle exec jekyll _3.8.5_ new .

dann auch noch

sudo gem install github-pages
pc/githubpages.txt · Zuletzt geändert: 2020/05/03 15:48 von admin